Page MenuHomePhabricator

fix part namespacing in default theme
Closed, ResolvedPublic

Description

There are many, many issues with the default theme where parts and signals are not correctly namespaced. This must be resolved asap to avoid shipping a release which contains new theme groups that are incorrectly namespaced.

zmike created this task.May 25 2018, 2:51 PM
zmike triaged this task as Showstopper Issues priority.
zmike added a comment.May 28 2018, 3:17 AM

These errors can be seen by (locally) applying the patchset from D6215 for now or waiting until the feature is merged.

zmike edited projects, added Restricted Project; removed efl.Jun 11 2018, 6:50 AM
bu5hm4n edited projects, added efl: widgets; removed Restricted Project.Jun 11 2018, 7:23 AM

I'll create subtasks for complex widgets that require more time and try to fix the rest from this task.

vtorri added a subscriber: vtorri.Jun 22 2018, 12:48 PM

With T7072 resolved we are done with this one as well? At least it was the last missing subtask.

segfaultxavi closed this task as Resolved.Jul 6 2018, 1:19 AM

Yep. I tried to close it yesterday but it wouldn't let me.